Subject: Re: bug#8665: automake should offer APIs to honour silent-rules verbosity from shell code in Makefiles

From: Stefano Lattarini <[email-masked]>
Date: Fri, 13 May 2011 13:12:03 +0200

On Friday 13 May 2011, Jack Kelly wrote:

> [snip]
>
> >> Maybe we should have a more general method of
> >> declaring silencing variables (like the $(AM_V_GEN), but also the
> >> others that echo 'CC' and friends. Then users who have unconventional
> >> setups can silence things without echoing 'GEN' everywhere.
> >>
> > If I understand correctly what you're suggesting, then I think the current
> > implementation already offers what you want; see the documentation for the
> > 'silent-rules' option at:
> >
> >  <http://www.gnu.org/software/automake/manual/html_node/Options.html>
> >
> > (I know, that is, er, "suboptimally" placed; a patch to fix this is still
> > pending).
> >
> > A relevant excerpt:
> >
> >  You can add your own variables, so strings of your own choice are shown.
> >  The following snippet shows how you would define your own equivalent of
> >  AM_V_GEN:
> >     pkg_verbose = $(pkg_verbose_$(V))
> >     pkg_verbose_ = $(pkg_verbose_$(AM_DEFAULT_VERBOSITY))
> >     pkg_verbose_0 = @echo PKG-GEN $@;
> >
> >     foo: foo.in
> >         (pkg_verbose)cp $(srcdir)/foo.in $@
> 
> Yes. I think it would be nice to make a Makefile.am declaration or m4
> macro to generate this,
>
I agree.  The above idiom seems easy enough to automatize.  I'm not sure
what the best syntax for this new feature would be, tough.

> the above was what I was looking for.
>
> -- Jack
> 

Regards,
  Stefano